<?php
/**
 * Single template
 *
 * @package ms-theme
 * @version 1.0
 *
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit();
}

get_header();

global $data; ?>
	<section class="single-section" id="single-post">
		<div class="row">
		<?php if ( have_posts() ) : ?>
		<?php while( have_posts() ) : 
		the_post(); ?>
		<div class="breadcrumbs">
		<?php ms_breadcrumbs(); ?>
		</div>
		<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
			<header class="post-header">
				<h1 class="post-title"><?php the_title(); ?></h1>
			</header>
			<?php if ( ( isset( $data['single_ads_code'] ) && ! empty( $data['single_adscode'] ) ) || has_post_thumbnail() ) { ?>
			<div class="post-image-data post-ads">
			<?php
				if ( isset( $data['single_adscode'] ) && ! empty( $data['single_adscode'] ) ) { ?>
				<div class="single-ads">
					<?php echo $data['single_adscode']; ?>
				</div><?php } ?>
				<?php if ( has_post_thumbnail() ) { ?>
				<div class="single-image">
					<?php ms_print_thumbnail( 'full', array( 'single-thumbnail' ) ); ?>
				</div>
				<?php } ?>
			</div>
			<?php } ?>
			<div class="post-content">
				<?php the_content(); ?>
			</div>
			<footer class="post-footer">
				<hr>
				<div class="row">
					<?php if ( get_the_tags() ) { ?>
					<div class="post-tags">
						<span>Tags:</span> <?php ms_post_tags(); ?>
					</div>
					<?php } ?>
					<?php if ( $category = get_the_category() ) { ?>
					<div class="post-category">
						<span>Categories: <?php ms_post_cats(); ?>
					</div>
					<?php } ?>
					<div class="post-info">
						<?php ms_post_info(); ?>
					</div>
				</div>
				<hr>
			</footer>
		<?php endwhile; ?>
		</article>
		<?php ms_related_posts(); ?>
		<?php if ( comments_open() ) {
		comments_template();
		} ?> 
		<?php endif; ?>
		</div>
	</section>
<?php get_footer(); ?>